# TCPPacket

  A packet carrying TCP header.

## Super Class:

  `IPPacket`

## Methods:

`tcp_ack`

  Return acknowledgement number.

`tcp_data`

  Return data part as `String`.

`tcp_data_len`

  Return length of data part.

`tcp_dport`
`dport`

  Return destination port number.

`tcp_flags`

  Return the value of 6-bits flag field.

`tcp_flags_s`

  Return the value of 6-bits flag field as string like `".A...F"`.

`tcp_fin?`
`tcp_syn?`
`tcp_rst?`
`tcp_psh?`
`tcp_ack?`
`tcp_urg?`

  Return `true` if flag is set.

`tcp_off`
`tcp_hlen`

  Return TCP data offset (header length). (Unit: 4-octets)

`tcp_seq`

  Return sequence number.

`tcp_sum`

  Return the value of checksum field.

`tcp_sport`
`sport`

  Return source port number.

`tcp_urp`

  Return urgent pointer.

`tcp_win`

  Return window size.

`to_s`

  Return string representation.

fukusima@goto.info.waseda.ac.jp